<?php

/**
 * author Sergio Antonio Ochoa Martinez - gnu.java.sergio@gmail.com
 * Copyright (c) 2006-2013 Paco Avila & Josep Llort
 * WebSites: www.openkm.com
 * 
 * No bytes were intentionally harmed during the development of this application.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */
defined('_JEXEC') or die;

use openkm\OKMWebServicesFactory;
use openkm\bean\QueryParams;

jimport('joomla.application.component.view');

class OpenKMViewSearch extends JView {

    private $ws;

    public function display($tpl = null) {
        $layout = JRequest::getVar('layout');
        $error = 0;
        require_once(JPATH_COMPONENT . DS . 'tables' . DS . 'configuration.php');
        $rowConfiguration = JTable::getInstance('Configuration', 'Table');
        $id = JRequest::getVar('id');
        $rowConfiguration->load($id);
        $url = $rowConfiguration->url;
        $user = $rowConfiguration->user;
        $password = $rowConfiguration->password;
        $this->assignRef('rowConfiguration', $rowConfiguration);

        if ($layout == 'result') {
            try {
                $content = JRequest::getVar('content');
                $name = JRequest::getVar('name');
                $keyword = JRequest::getVar('keyword');
                $document = JRequest::getVar('document');
                $folder = JRequest::getVar('folder');
                $mimeType = JRequest::getVar('mimeType');
                $keywords = array();
                $keywords[] = $keyword;
                $queryParams = new QueryParams();
                $queryParams->setDomain($document + $folder);
                $queryParams->setKeywords($keywords);
                $queryParams->setContent($content);
                $queryParams->setName($name);
                $queryParams->setMimeType($mimeType);
                $this->ws = OKMWebServicesFactory::build($url, $user, $password);
                $queryResults = $this->ws->find($queryParams);                
                $sessionSearch = JFactory::getSession();
                $sessionSearch->set('content', $content);
                $sessionSearch->set('name', $name);
                $sessionSearch->set('keyword', $keyword);
                $sessionSearch->set('document', $document);
                $sessionSearch->set('folder', $folder);
                $sessionSearch->set('mimeType', $mimeType);
                $this->assignRef('sessionSearch', $sessionSearch);
                $this->assignRef('queryResults', $queryResults);
                $this->assignRef('error', $error);

            } catch (Exception $e) {
                $error = 1;
                $this->assignRef('error', $error);
            }
        }
        parent::display($tpl);
    }

}

?>
